%define cpan_name Number-Format

Name:         perl-%cpan_name
Version:      1.61a
Release:      1.1
Provides:     %cpan_name
Requires:     perl = %{perl_version}
Group:        Development/Libraries/Perl
License:      Artistic
URL:          http://search.cpan.org/dist/Number-Format
Summary:      Perl extension for formatting numbers
Source:       %cpan_name-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
These functions provide an easy means of formatting numbers in a
manner suitable for displaying to the user.

%prep
%setup -q -n %cpan_name-1.61

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Number
%{perl_vendorarch}/auto/Number
/var/adm/perl-modules/%{name}
%doc MANIFEST

%changelog 

